using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.BookingGroup.Cqrs;

public class UpdateBookingGroupValidator : AbstractValidator<UpdateBookingGroupRequest>
{
    public UpdateBookingGroupValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}